
<?php $__env->startSection('content'); ?>

<!-- start page content wrapper-->
<div class="page-content-wrapper">
	<!-- start page content-->
	<div class="page-content">
		<!--start breadcrumb-->
		<div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
			<div class="breadcrumb-title pe-3">Edit Post</div>
		</div>
		<!--end breadcrumb-->

		<hr />
        <?php echo $__env->make('backend.dashboard.includes.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
		<div class="card">
			<div class="card-body">
                <form action="<?php echo e(route('admin.post.update',$post->id)); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-md-9">
                            <div class="postbody">
                                <div class="mb-3">
                                    <input name="title" value="<?php echo e(old('title') ?? $post->title); ?>" class="form-control mb-2" type="text" placeholder="Add Title" aria-label="add title" />
                                </div>    
                                <div id="">
                                    <textarea name="description"  ><?php echo old('description') ?? $post->description; ?> </textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="postbox mb-3">
                                <div class="postbox-header">
                                    <h2>Publish</h2>
                                </div>
                                <div class="postbox-body">
                                    <input type="submit" name="page_status" value="Save Draft" class="btn btn-sm btn-outline-secondary mb-3">
                                    <div class="misc-pub-section mb-3"><i class="bi bi-bookmark-star"></i> Status: <span id="post-status-display"> 
                                        <?php if($post->status == 1): ?>
                                        Publish
                                        <?php elseif($post->status == 2): ?>
                                        Draft
                                        <?php elseif($post->status == 0): ?>
                                        Pending
                                        <?php elseif($post->status == 3): ?>
                                        Request To Publish
                                        <?php endif; ?>
                                        </span>
                                    </div>
                                    <div class="misc-pub-section mb-3">
                                        <i class="bi bi-calendar-day"></i> Date: <span id="post-status-display"> <?php echo e(date('d-m-Y',strtotime($post->created_at))); ?></span>
                                    </div>
                                    <div id="time" class="misc-pub-section mb-3">
                                        <i class="bi bi-clock-history"></i> Time: <span id="post-status-display"> <?php echo e(date('h:s:i A',strtotime($post->created_at))); ?> </span>
                                    </div>
                                </div>
                                <div class="postbox-footer">
                                    <?php if (\Illuminate\Support\Facades\Blade::check('AdministratorEditor')): ?>
                                    <input type="submit"  name="page_status" value="Publish" class="d-inline btn btn-sm btn-outline-secondary">
                                    <?php endif; ?> 
                                    <?php if (\Illuminate\Support\Facades\Blade::check('Author')): ?>
                                    <input type="submit"  name="page_status" value="Request To Publish" class="d-inline btn btn-sm btn-outline-secondary">
                                    <?php endif; ?>
                                </div>
                            </div>
                    
                            <div class="postbox mb-3">
                                <div class="postbox-header">
                                    <h2>All Categories</h2>
                                </div>
                                <div class="postbox-body" style="max-height: 250px; overflow: hidden; overflow-x: hidden; overflow-y: auto;">
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="main-cat">
                                        <div class="form-check">
                                            
                                            #<label class="form-check-label"><b><?php echo e($category->name); ?></b></label>
                                        </div>
                                            <?php if(count($category->subcategory)): ?>
                                                <?php echo $__env->make('backend.post.post_subcategory.edit_post_subcategorylist',['subcategories' => $category->subcategory], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            <?php endif; ?>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                            <div class="postbox mb-5">
                                <div class="postbox-header">
                                    <h2>Featured image</h2>
                                </div>
                                <div class="postbox-body">
                                    <?php if($post->featured_image): ?>
                                    <img width="100%" height="auto" src="<?php echo e(asset('storage/post/'.$post->featured_image)); ?>" class="attachment-60x60 size-60x60" alt="" loading="lazy">
                                    <?php else: ?>
                                    <img width="100%" height="auto" src="" class="attachment-60x60 size-60x60" alt="" loading="lazy">
                                    <?php endif; ?>
                                    <img id="blah"  />
                                    <input type='file' name="featured_image" onchange="readURL(this);" style="margin-top: 10px;" />
                                </div>
                            </div>
                              
                        </div>
                    
                            
                    
                            
                        </div>
                    </div>
                </form>
			</div>
		</div>
		<!--end card-->
	</div>
	<!-- end page content-->
</div>
<!--end page content wrapper-->


<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
<script src="https://cdn.ckeditor.com/4.12.1/standard/ckeditor.js"></script>
<script type="text/javascript">
    CKEDITOR.replace('description', {
        filebrowserUploadUrl: "<?php echo e(route('admin.post.upload', ['_token' => csrf_token() ])); ?>",
        filebrowserUploadMethod: 'form'
    });
</script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('backend.dashboard.layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\Laravel_8\rajon_vai\fisheries\111022\resources\views/backend/post/edit.blade.php ENDPATH**/ ?>